=== debian/changelog ===
hubzero-solr (6.1.0-3+deb8) unstable; urgency=low

  * Adds CRON-based indexing mechanism

 -- Kevin Wojkovich <kevinw@purdue.edu>  Tue, 02 May 2017 09:03:21 -0500

hubzero-solr (6.1.0-2) unstable; urgency=low

  * Change default port and listening host (localhost:8445)

 -- Nicholas Kisseberth <nkissebe@nix8.hubzero.org>  Mon, 01 Aug 2016 08:37:21 -0400

hubzero-solr (6.1.0-1) unstable; urgency=low

  * Initial release.

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 27 Jul 2016 10:39:00 -0400
