## hubzero-solr 6.1.3+deb7

=== Makefile ===
--- 
+++ 
@@ -77,6 +77,8 @@
 	sed -i -e "s#SOLR_ENV=.*#SOLR_ENV=\"/etc/default/${SOLR_SERVICE}.in.sh\"#" "${DESTDIR}/etc/init.d/${SOLR_SERVICE}"
 	sed -i -e "s#RUNAS=.*#RUNAS=\"${SOLR_USER}\"#" "${DESTDIR}/etc/init.d/${SOLR_SERVICE}"
 	sed -i -e "s#Provides:.*#Provides: ${SOLR_SERVICE}#" "${DESTDIR}/etc/init.d/${SOLR_SERVICE}"
+	@# user does not have a shell, run the init script 
+	sed -i -e "s/su -c/su -s \/bin\/sh -c/g" "${DESTDIR}/etc/init.d/${SOLR_SERVICE}"
 
 	@echo "\nInstalling ${DESTDIR}/etc/default/${SOLR_SERVICE}.in.sh ...\n"
 	@# install/move configuration
@@ -104,7 +106,7 @@
 	@true
 
 postinst:
-	adduser --system --shell /bin/bash --group --disabled-password --home "$SOLR_VAR_DIR" "$SOLR_USER"
+	adduser --system --shell /bin/false --group --disabled-password --home "$SOLR_VAR_DIR" "$SOLR_USER"
 	chmod 0750 "${SOLR_VAR_DIR}"
 	chown "${SOLR_USER}:" "${SOLR_VAR_DIR}"
