=== debian/changelog ===
hubzero-solr (6.1.4-1+deb8) unstable; urgency=low

  * Add mlt requestHandler in solrconfig.xml and insert termVectors in schema.xml

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 11 Apr 2018 15:45:17 -0400

hubzero-solr (6.1.3-1) unstable; urgency=low

  * Adds blacklist support

 -- Kevin Wojkovich <kevinw@purdue.edu>  Mon, 26 Jun 2017 10:08:00 -0400

hubzero-solr (6.1.2-1) unstable; urgency=low

  * Fixes issue with groups, adds kb support

 -- Kevin Wojkovich <kevinw@purdue.edu>  Thu, 22 Jun 2017 17:42:00 -0400

hubzero-solr (6.1.1-1) unstable; urgency=low

  * Removes shell for hubzero-solr user

 -- Kevin Wojkovich <kevinw@purdue.edu>  Mon, 08 May 2017 10:35:00 -0400

hubzero-solr (6.1.0-3) unstable; urgency=low

  * Adds CRON-based indexing mechanism

 -- Kevin Wojkovich <kevinw@purdue.edu>  Tue, 02 May 2017 09:03:21 -0500
