## hubzero-solr 6.1.4.6-1+deb9

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,9 @@
 # @package      hubzero-solr
 # @file         Makefile
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2016-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2016-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2016-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2016-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -24,7 +23,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 SOLR_ARCHIVE=solr-6.1.0.tgz
@@ -32,17 +31,19 @@
 SOLR_EXTRACT_DIR=/usr/share/hubzero-solr
 SOLR_INSTALL_DIR="${SOLR_EXTRACT_DIR}/${SOLR_DIR}"
 USRBIN="${DESTDIR}/usr/bin"
+VARLOG="${DESTDIR}/var/log"
+#VARRUN="${DESTDIR}/var/run"
 SOLR_SERVICE=hubzero-solr
 SOLR_BASENAME=solr
 SOLR_USER=hubzero-solr
 SOLR_VAR_DIR=/srv/hubzero-solr
 SOLR_PORT=8445
 
-JAVA_ARCHIVE=server-jre-8u102-linux-x64.tar.gz
-JAVA_DIR=jdk1.8.0_102
-JAVA_EXTRACT_DIR=/usr/lib/hubzero-solr
-JAVA_INSTALL_DIR="${JAVA_EXTRACT_DIR}/${JAVA_DIR}"
-JAVA_BASENAME=jdk
+# JAVA_ARCHIVE=server-jre-8u102-linux-x64.tar.gz
+# JAVA_DIR=jdk1.8.0_102
+# JAVA_EXTRACT_DIR=/usr/lib/hubzero-solr
+# JAVA_INSTALL_DIR="${JAVA_EXTRACT_DIR}/${JAVA_DIR}"
+# JAVA_BASENAME=jdk
 
 all:
 	@true
@@ -54,17 +55,17 @@
 	mkdir -p ${USRBIN}
 	tar zxf "${SOLR_ARCHIVE}" -C "${DESTDIR}/${SOLR_EXTRACT_DIR}"
 	mkdir -p "${DESTDIR}/${JAVA_INSTALL_DIR}"
-	tar zxf "${JAVA_ARCHIVE}" -C "${DESTDIR}/${JAVA_EXTRACT_DIR}"
+	# tar zxf "${JAVA_ARCHIVE}" -C "${DESTDIR}/${JAVA_EXTRACT_DIR}"
 	find "${DESTDIR}/${SOLR_INSTALL_DIR}" -type d -print0 | xargs -0 chmod 0755
 	find "${DESTDIR}/${SOLR_INSTALL_DIR}" -type f -print0 | xargs -0 chmod 0644
 	chmod -R 0755 "${DESTDIR}/${SOLR_INSTALL_DIR}/bin"
 	install --mode 0755 hzsolrindex ${USRBIN}/hzsolrindex
-	install --mode 0755 -D cron-hzsolrindex ${DESTDIR}/etc/cron.d/cron-hzsolrindex
+	install --mode 0644 -D cron-hzsolrindex ${DESTDIR}/etc/cron.d/cron-hzsolrindex
 
 	@# create a symlink for easier scripting
 	@echo "\nInstalling symlink ${DESTDIR}/${SOLR_EXTRACT_DIR}/${SOLR_BASENAME} -> ${DESTDIR}/${SOLR_INSTALL_DIR} ...\n"
 	ln -s "${SOLR_INSTALL_DIR}" "${DESTDIR}/${SOLR_EXTRACT_DIR}/${SOLR_BASENAME}"
-	ln -s "${JAVA_INSTALL_DIR}" "${DESTDIR}/${JAVA_EXTRACT_DIR}/${JAVA_BASENAME}"
+	# ln -s "${JAVA_INSTALL_DIR}" "${DESTDIR}/${JAVA_EXTRACT_DIR}/${JAVA_BASENAME}"
 	
 	@# install init.d script
 	@echo "\nInstalling ${DESTDIR}/etc/init.d/${SOLR_SERVICE} script ...\n"
@@ -90,7 +91,7 @@
 	echo "LOG4J_PROPS=\"${SOLR_VAR_DIR}/log4j.properties\""  >> "${DESTDIR}/etc/default/${SOLR_SERVICE}.in.sh"
 	echo "SOLR_LOGS_DIR=\"${SOLR_VAR_DIR}/logs\""  >> "${DESTDIR}/etc/default/${SOLR_SERVICE}.in.sh"
 	echo "SOLR_PORT=\"${SOLR_PORT}\""  >> "${DESTDIR}/etc/default/${SOLR_SERVICE}.in.sh"
-	echo "SOLR_JAVA_HOME=\"${JAVA_EXTRACT_DIR}/${JAVA_BASENAME}\"" >> "${DESTDIR}/etc/default/${SOLR_SERVICE}.in.sh"
+	# echo "SOLR_JAVA_HOME=\"${JAVA_EXTRACT_DIR}/${JAVA_BASENAME}\"" >> "${DESTDIR}/etc/default/${SOLR_SERVICE}.in.sh"
 	echo "SOLR_HOST=\"localhost\""  >> "${DESTDIR}/etc/default/${SOLR_SERVICE}.in.sh"
 
 	chmod 0644 "${DESTDIR}/etc/default/${SOLR_SERVICE}.in.sh"
@@ -101,6 +102,9 @@
 	mkdir "${DESTDIR}/${SOLR_INSTALL_DIR}/hubzero-solr-core/lib"
 	find "${DESTDIR}/${SOLR_INSTALL_DIR}/hubzero-solr-core" -type d -print0 | xargs -0 chmod 0750
 	find "${DESTDIR}/${SOLR_INSTALL_DIR}/hubzero-solr-core" -type f -print0 | xargs -0 chmod 0640
+
+	install --mode 0750 -d $(VARLOG)/hubzero-solr
+	#install --mode 0750 -d $(VARRUN)/hubzero-solr
 
 uninstall:
 	@true
@@ -122,14 +126,20 @@
 	chmod 0640  "${SOLR_VAR_DIR}/data/solr.xml"
 	chown "${SOLR_USER}:" "${SOLR_VAR_DIR}/data/solr.xml"
 
-	cp "${SOLR_INSTALL_DIR}/server/resources/log4j.properties" "${SOLR_VAR_DIR}/log4j.properties"
-	chmod 0640 "${SOLR_VAR_DIR}/log4j.properties"
-	chown "${SOLR_USER}:" "${SOLR_VAR_DIR}/log4j.properties"
+	if [ ! -f "${SOLR_VAR_DIR}/log4j.properties" ]; \
+	then \
+		cp "${SOLR_INSTALL_DIR}/server/resources/log4j.properties" "${SOLR_VAR_DIR}/log4j.properties"; \
+		chmod 0640 "${SOLR_VAR_DIR}/log4j.properties"; \
+		chown "${SOLR_USER}:" "${SOLR_VAR_DIR}/log4j.properties"; \
+	fi
 
 	cp -r "${SOLR_INSTALL_DIR}/hubzero-solr-core" "${SOLR_VAR_DIR}/data"
 	chown -R "${SOLR_USER}:" "${SOLR_VAR_DIR}/data/hubzero-solr-core"
 	chmod o-rwx "${SOLR_VAR_DIR}/data/hubzero-solr-core"
  
+	chown "${SOLR_USER}" $(VARLOG)/hubzero-solr
+	#chown "${SOLR_USER}" $(VARRUN)/hubzero-solr
+
 	update-rc.d "${SOLR_SERVICE}" defaults
 	service "${SOLR_SERVICE}" start
 	sleep 5
