=== debian/changelog ===
hubzero-solr (6.1.4.6-1+deb9) unstable; urgency=low

  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 20 Aug 2020 18:25:13 -0700

hubzero-solr (6.1.4.5-1) unstable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Fri, 01 May 2020 22:24:19 -0700

hubzero-solr (6.1.4.4-1) unstable; urgency=low

  * create and use /var/log/hubzero-solr and /var/run/hubzero-solr

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 14 Nov 2019 10:59:44 -0400

hubzero-solr (6.1.4.3-1) unstable; urgency=low

  * change permissions on cron job and don't overwrite log4j properties on update

 -- Nicholas J. Kisseberth <nkissebe@ucsd.edu>  Wed, 06 Nov 2019 22:11:16 -0400

hubzero-solr (6.1.4-1) unstable; urgency=low

  * Add mlt requestHandler in solrconfig.xml and insert termVectors in schema.xml

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 11 Apr 2018 15:45:17 -0400
