=== debian/control ===
Source: hubzero-solr
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.8.4
Homepage: http://hubzero.org

Package: hubzero-solr
Architecture: any
Depends: adduser, openjdk-8-jre-headless, python ${shlibs:Depends}, ${misc:Depends}
Description: HUBzero Solr based search engine
 HUBzero packaging of the Solr search engine
